# Uses of Class
org.bukkit.inventory.MerchantRecipe

Packages that use MerchantRecipe
Package
Description
io.papermc.paper.event.player
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of MerchantRecipe in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return MerchantRecipe
Modifier and Type
Method
Description
`@NotNull MerchantRecipe`
PlayerPurchaseEvent.`getTrade()`
Gets the associated trade with this event
Methods in io.papermc.paper.event.player with parameters of type MerchantRecipe
Modifier and Type
Method
Description
`void`
PlayerPurchaseEvent.`setTrade(@NotNull MerchantRecipe trade)`
Sets the trade.
Constructors in io.papermc.paper.event.player with parameters of type MerchantRecipe
Modifier
Constructor
Description
``
`PlayerPurchaseEvent(@NotNull Player player, @NotNull MerchantRecipe trade, boolean rewardExp, boolean increaseTradeUses)`
``
`PlayerTradeEvent(@NotNull Player player, @NotNull AbstractVillager villager, @NotNull MerchantRecipe trade, boolean rewardExp, boolean increaseTradeUses)`

## Uses of MerchantRecipe in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return MerchantRecipe
Modifier and Type
Method
Description
`@NotNull MerchantRecipe`
VillagerAcquireTradeEvent.`getRecipe()`
Get the recipe to be acquired.
`@NotNull MerchantRecipe`
VillagerReplenishTradeEvent.`getRecipe()`
Get the recipe to replenish.
Methods in org.bukkit.event.entity with parameters of type MerchantRecipe
Modifier and Type
Method
Description
`void`
VillagerAcquireTradeEvent.`setRecipe(@NotNull MerchantRecipe recipe)`
Set the recipe to be acquired.
`void`
VillagerReplenishTradeEvent.`setRecipe(@NotNull MerchantRecipe recipe)`
Set the recipe to replenish.
Constructors in org.bukkit.event.entity with parameters of type MerchantRecipe
Modifier
Constructor
Description
``
`VillagerAcquireTradeEvent(@NotNull AbstractVillager what, @NotNull MerchantRecipe recipe)`
``
`VillagerReplenishTradeEvent(@NotNull AbstractVillager what, @NotNull MerchantRecipe recipe)`

## Uses of MerchantRecipe in org.bukkit.inventory

Methods in org.bukkit.inventory that return MerchantRecipe
Modifier and Type
Method
Description
`@NotNull MerchantRecipe`
Merchant.`getRecipe(int i)`
Get the recipe at a certain index of this merchant's trade list.
`@Nullable MerchantRecipe`
MerchantInventory.`getSelectedRecipe()`
Get the currently active recipe.
Methods in org.bukkit.inventory that return types with arguments of type MerchantRecipe
Modifier and Type
Method
Description
`@NotNull List<MerchantRecipe>`
Merchant.`getRecipes()`
Get a list of trades currently available from this merchant.
Methods in org.bukkit.inventory with parameters of type MerchantRecipe
Modifier and Type
Method
Description
`void`
Merchant.`setRecipe(int i, @NotNull MerchantRecipe recipe)`
Set the recipe at a certain index of this merchant's trade list.
Method parameters in org.bukkit.inventory with type arguments of type MerchantRecipe
Modifier and Type
Method
Description
`void`
Merchant.`setRecipes(@NotNull List<MerchantRecipe> recipes)`
Set the list of trades currently available from this merchant.